import '@journeyapps/wa-sqlite';
import { QueryResult } from '@journeyapps/powersync-sdk-common';
export type WASQLExecuteResult = Omit<QueryResult, 'rows'> & {
    rows: {
        _array: any[];
        length: number;
    };
};
export type DBWorkerInterface = {
    close?: () => void;
    execute: WASQLiteExecuteMethod;
    executeBatch: WASQLiteExecuteBatchMethod;
    registerOnTableChange: (callback: OnTableChangeCallback) => void;
};
export type WASQLiteExecuteMethod = (sql: string, params?: any[]) => Promise<WASQLExecuteResult>;
export type WASQLiteExecuteBatchMethod = (sql: string, params?: any[]) => Promise<WASQLExecuteResult>;
export type OnTableChangeCallback = (opType: number, tableName: string, rowId: number) => void;
export type OpenDB = (dbFileName: string) => DBWorkerInterface;
export type SQLBatchTuple = [string] | [string, Array<any> | Array<Array<any>>];
export declare function _openDB(dbFileName: string): Promise<DBWorkerInterface>;
